#main {
  width: auto;
  height: auto;
  min-height: 100vh;
  margin: 0 auto;
  background: $dark;
  z-index: 0;
  @include flexbox(row, nowrap, flex-start, stretch);

  &[data-layout-type="chat"] {
    height: 100vh;
    min-height: auto;
    overflow: hidden;

    @media #{$query-mobile} {
      &[data-vh-issue] {
        height: calc(100vh - 55px);

        #board {
          height: calc(100vh - 55px);
        }
      }
    }

    #board {
      height: 100vh;

      #wrapper {
        overflow: hidden;
        padding: 0;
        @include flex(1 1 auto);
        @include flexbox(column, nowrap, flex-start, stretch);

        #content[data-layout-type="chat"] {
          padding: 0 30px;
          @include flex(1 1 auto);

          > * {
            z-index: 1;
          }

          &:before {
            z-index: 2;
          }
        }

        .editor {
          .canvas {
            padding: 0 30px 10px;
          }
        }
      }
    }
  }

  &:not([data-layout-type="chat"]) {
    &:before {
      content: "π";
      display: block;
      z-index: 2;
      position: absolute;
      bottom: 10px;
      right: 10px;
      color: $secondary;
      @include font-size();
    }
  }
}

// inicia #MAIN CHILDS
#sidebar {
  width: 230px;
  height: 100%;
  padding: 0;
  background: $dark_n1;
  border-right: 1px solid negro(1);
  z-index: 0;
  position: fixed;
  overflow-y: auto;
  overflow-x: visible;
  @include box-sizing(border-box);

  &::-webkit-scrollbar {
    background-color: $dark_n1;
  }

  &:empty {
    width: 10px;
    padding: 0;

    ~ #board {
      margin-left: 10px;
      max-width: calc(100% - 10px);
    }
  }

  ~ #board {
    margin-left: 230px;
    max-width: calc(100% - 230px);
  }
}

// inicia #SIDEBAR CHILDS
#column {
  z-index: 1;
  width: 100%;
  height: 100%;
  padding: 0 15px;
  @include box-sizing(border-box);
  display: flex;
  flex-direction: column;
}

// inicia #COLUMN CHILDS
.nav_ {
  h2,
  h3,
  > span {
    display: block;
    text-transform: uppercase;
    color: $secondary;
    line-height: 15px;
    padding: 15px 10px;
    font-weight: 400;
    @include font-size();
  }

  ul {
    &:not(:last-child) {
      margin-bottom: 15px;
    }

    .n_item {
      margin-bottom: 3px;

      .n_i_wrap {
        width: 100%;
        height: 40px;
        padding: 0 10px;
        z-index: 0;
        background: transparent;
        @include transition(0.3s all ease-out);
        @include flexbox(row, nowrap, flex-start, center);
        @include border-radius(3px);
        @include box-sizing(border-box);

        &:not(.active) {
          .n_i_w_clip {
            i {
              color: $primary;
            }

            svg {
              * {
                fill: $primary;
              }
            }
          }

          .n_i_w_content {
            color: $primary;
          }

          &:hover {
            background: blanco(1);
            cursor: pointer;

            i {
              color: #fff;
            }

            svg {
              * {
                fill: #fff;
              }
            }

            .n_i_w_content {
              color: #fff;
            }
          }
        }

        &[data-count]:not([data-count="0"]) {
          &:after {
            content: attr(data-count);
            display: inline;
            min-width: 15px;
            font-weight: 300;
            margin: 1px 0 0 10px;
            padding: 3px;
            background: $narrojo;
            color: $primary;
            text-transform: capitalize;
            text-align: center;
            @include border-radius(3px);
            @include font-size();
            @include box-sizing(border-box);
          }
        }

        .n_i_w_clip {
          width: 15px;
          height: 15px;
          float: left;
          margin: 0 10px 0 0;
        }

        .avatar {
          width: 35px;
          height: 35px;
          float: left;
          margin: 0 10px 0 0;
        }

        .n_i_w_content {
          font-weight: 400;
          white-space: nowrap;
          text-overflow: ellipsis;
          overflow: hidden;

          &:not(.u_name):first-letter {
            text-transform: capitalize;
          }
        }

        .u_name {
        }
      }

      .active {
        background: $narrojo;

        svg {
          * {
            fill: negro(8);
            @include transition(0.3s all ease-out);
          }
        }

        i {
          color: negro(8);
        }

        .n_i_w_content {
          color: negro(8);
        }
      }
    }
  }
}

.sub_ {
  &:before {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 35px;
    width: 4px;
    height: calc(100% + 5px);
    z-index: 1;
    background: negro(1);
  }

  h3 {
    padding: 5px 10px 5px 49px;
  }

  ul {
    .n_item {
      .n_i_wrap {
        .n_i_w_clip {
          margin: 0 24px 0 0;
        }
      }
    }
  }
}

// termina #COLUMN CHILDS
// termina #SIDEBAR CHILDS
#board {
  z-index: 1;
  width: auto;
  @include flex(1 1 auto);
  @include flexbox(column, nowrap, flex-start, stretch);
}

// inicia #BOARD CHILDS
#heading {
  z-index: 0;

  &[class*="user"] {
    > hr {
      display: block;
    }

    #top {
      border-bottom: none;

      #breadcrumbs {
        color: $primary;
        text-shadow: 1px 1px 0 #000;
        font-weight: 500;
      }

      #search {
        background: $dark;
        @include box-shadow(0 5px 15px negro(25));
      }
    }
  }

  > hr {
    display: none;
    z-index: 0;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-position: 50% 50%; //horizontal, vertical
    background-repeat: repeat;
    overflow: hidden;
    @include background-size(cover);

    &:before {
      content: "";
      display: block;
      width: 100%;
      height: 100%;
      opacity: 0.3;
      background: transparent url($d_doted) repeat;
    }
  }
}

//inicia #HEADING CHILDS
#top {
  z-index: 1;
  height: 45px;
  padding: 0 30px;
  border-bottom: 1px solid negro(2);
  @include flexbox(row, nowrap, flex-start, center);
  @include box-sizing(border-box);

  > *:not(:last-child) {
    margin-right: 15px;
  }
}

//inicia #TOP CHILDS
#breadcrumbs {
  color: $secondary;
  @include flexbox(row, nowrap, flex-start, center);

  li {
    padding: 0 5px;
    @include font-size();

    &:first-child {
      padding-left: 0;
    }

    &:last-child {
      padding-right: 0;
    }

    a {
      color: inherit;
      text-transform: capitalize;
      text-shadow: inherit;
      font-size: inherit;

      &:hover {
        color: #fff;
      }
    }
  }
}

#search {
  width: auto;
  height: 25px;
  padding: 0 15px;
  background: $dark_n1;
  border: 1px solid negro(1);
  color: $primary;
  @include flex(1 1 auto);
  @include flexbox(row, nowrap, flex-start, center);
  @include border-radius(3px);
  @include box-sizing(border-box);

  &:focus {
    border: 1px solid $secondary;
  }
}

// termina #TOP CHILDS
// termina #HEADING CHILDS
#wrapper {
  padding: 30px;
  z-index: 1;
  @include flex(1 1 auto);
  @include flexbox(row-reverse, nowrap, center, stretch);
  @include box-sizing(border-box);

  &[data-layout-type="column"] {
    @include flexbox(column, nowrap, flex-start, center);
  }

  .block {
    margin: 0;
    padding: 0;
    min-height: auto;
  }
}

// inicia #WRAPPER CHILDS
#secondary {
  width: 230px;
  margin: 0 0 0 30px;
  @include font-size();
  @include box-sizing(border-box);
  height: fit-content;

  > *,
  #secondary-sticky > * {
    &:not(:last-child) {
      margin-bottom: 15px;
    }

    p {
      display: block;
    }
  }

  #secondary-sticky {
    font-size: inherit;
  }

  h3 {
    text-transform: uppercase;
    font-size: inherit;
    color: $secondary;
    line-height: 15px;
    padding: 0 10px 15px 10px;
    font-weight: 400;
    border-bottom: 4px solid negro(1);

    &:not(:first-of-type) {
      margin-top: 30px;
    }
  }

  p {
    margin-bottom: 5px;
    width: 100%;
    padding: 0 10px;
    color: $secondary;
    font-size: inherit;
    @include box-sizing(border-box);

    &[class*="centered"] {
      text-align: center;
    }

    a {
      color: $narrojo;
      font-size: inherit;
      font-weight: 400;

      &:hover {
        text-decoration: underline;
      }
    }
  }

  .bio {
    color: $primary;
    @include font-size(2);
  }

  .avatar {
    width: 35px;
    height: 35px;
    float: left;
    margin: 0 10px 10px 0;

    &[data-size*="wide"] {
      width: 100%;
      max-width: 230px;
      height: auto;
      float: none;
      clear: both;
      margin: 0 auto 30px;

      &:after {
        content: attr(data-uploading-percent);
        display: block;
        z-index: 2;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        color: $primary;
        text-shadow: 1px 1px 1px #000;
        @include flexbox(row, nowrap, center, center);
        @include font-size(40);
      }
    }
  }

  .made-with {
    font-size: inherit;
    margin-top: 15px;

    img {
      opacity: 0.3;
    }
  }

  .button {
    width: 100%;
  }
}

// inicia #SECONDARY CHILDS
#secondary-sticky {
  // top: 20px;
  display: inline;
  width: 230px;
}

// termina #SECONDARY CHILDS
#content {
  &[data-layout-type="single-column"] {
    width: $column_width;
    min-width: $min_column_width;
    overflow: visible;
  }

  &[data-layout-type="wide"] {
    width: 100%;
    overflow: visible;
  }

  &[data-layout-type="masonry"] {
    width: 100%;
    overflow: visible;
    @include flexbox(column, nowrap, flex-end, stretch);
  }

  &[data-layout-type="chat"] {
    width: auto;
    overflow-y: auto;
    overflow-x: hidden;
  }

  &[data-layout-type="middle"] {
    width: auto;
    overflow-y: auto;
    overflow-x: hidden;
    @include flex(1 1 auto);
    @include flexbox(column, nowrap, center, stretch);
  }

  &:before {
    content: "";
    display: none;
    z-index: 1;
    width: 100%;
    height: 100%;
    opacity: 0.7;
    position: fixed;
    top: 0;
    left: 0;
    background: #000;
  }

  form {
    margin-bottom: 30px;
  }

  > .button {
    margin: 30px auto;
  }
}

// inicia #CONTENT CHILDS
#home-controls {
  z-index: 0;
  margin: 0 0 30px 0;
  overflow: hidden;

  &[class~="open"] {
    .controls {
      border-bottom: 4px solid negro(1);
    }

    .triggers {
      @include flexbox(row, nowrap, flex-start, flex-start);
    }
  }

  & ~ .renderbox {
    &:before {
      margin-top: 0;
    }
  }

  .controls {
    padding: 0 15px;
    height: 3em;

    button {
      cursor: pointer;
      background: transparent;
      color: $secondary;
      user-select: none; // unselectable
      touch-action: manipulation; // disables tap zoom
      @include font-size(2);
      @include flexbox(row, nowrap, center, center);

      &:hover {
        cursor: pointer;
        color: $primary;
      }

      i {
        margin-right: 5px;
        display: inline-block;
      }
    }
  }

  .triggers {
    margin-top: 15px;
    display: none;

    .row {
      @include flex(1 1 auto);

      &:not(:last-child) {
        margin-right: 15px;
      }

      h5 {
        text-transform: uppercase;
        color: $secondary;
        line-height: 15px;
        padding: 0 0 15px 0;
        font-weight: 400;
        // margin: 30px 0 0 0;
        @include font-size();
      }

      .checkbox {
        margin-left: 10px;

        &:not(:last-child) {
          margin-bottom: 15px;
        }
      }
    }
  }
}

#feed {
  z-index: 0;
  @include flex(1 1 auto);
  @include flexbox(column, nowrap, center, center);

  &[class*="showing"] {
    @include flexbox(column, nowrap, flex-start, stretch);

    h3:not([class~="bottom"]) {
      text-align: left;
      margin-bottom: 30px;
    }
  }

  h3 {
    text-align: center;

    p {
      color: $secondary;
      font-weight: 300;
      @include font-size(10);

      a {
        font-size: 400;
        font-size: inherit;
        color: $primary;

        &:hover {
          color: $primary;
        }
      }
    }
  }
}

// inicia #FEED CHILDS
#masonry {
  overflow: visible;
  height: auto;
  min-height: 100vh;
  margin: 0 auto;
  @include flexbox(column, nowrap, flex-end, center);

  ~ h3 {
    margin-top: 15px;
  }

  &:empty {
    display: none;

    ~ h3 {
      margin-top: 0;
    }
  }
}

// termina #FEED CHILDS
#post {
  z-index: 0;

  > *:not(:last-child) {
    margin-bottom: 30px;
  }

  .comments-list {
    @media #{$query-mobile} {
      margin-left: 5px;
    }
  }

  .new-comment {
  }
}

// termina #CONTENT CHILDS
#new-chat-modal {
  width: 100%;
  height: 100%;
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1000;
  padding-top: 10%;
  @include flexbox(column, nowrap, flex-start, center);

  .body {
    z-index: 1;
    background-color: $dark;
    padding: 15px;
    width: 230px;
    max-height: 60%;
    @include d_flex();
    @include flex_flow(column, nowrap);
    @include border-radius(3px);
    @include box-shadow(0 5px 15px negro(25));

    > *:not(:last-child) {
      margin-bottom: 15px;
    }

    > .nav_ {
      flex-grow: 1;
      overflow-y: auto;
    }
  }
}

// termina #WRAPPER CHILDS
// termina #MAIN CHILDS
